package fishrungames.bashgid.core;

import java.util.ArrayList;

import android.os.AsyncTask;
import android.os.Handler;
import android.os.Message;
import fishrungames.bashgid.MainActivity;
import fishrungames.bashgid.core.JournalManager.JournalRecordData;

public class DatabaseGetGeoJournalListTask extends AsyncTask<String, Integer, Long>
{

	
ArrayList<JournalRecordData> geoJournalList;
	
	public Handler mHandler;

	protected Long doInBackground(String... queryArr)
	{
		

		geoJournalList = MainActivity.getInstance().journalDataSource.GetGeoJournalList();
		
		
		
		return (long) 0;
	}

	protected void onProgressUpdate(Integer... progress)
	{
		Message completeMessage = mHandler.obtainMessage(MainActivity.DATABASE_GET_GEO_JOURNAL_LIST_STATE_UPDATE, geoJournalList);

		completeMessage.sendToTarget();

	}

	protected void onPostExecute(Long result)
	{
		Message completeMessage = mHandler.obtainMessage(MainActivity.DATABASE_GET_GEO_JOURNAL_LIST_STATE_FINISHED, geoJournalList);

		completeMessage.sendToTarget();
	}
}

